function EFFECT:Init(ed)
    self.Ent = ed:GetEntity()
end
function EFFECT:Render()
    local ent = self.Ent
	local data = SL_SHIPCONTENTS[ent]
	if !data then return false end
	local lpos,lang = WorldToLocal(EyePos(),EyeAngles(),data.S:GetPos(),data.S:GetAngles())
    cam.Start3D(LocalToWorld(lpos,lang,data.G.RealPos or data.G:GetRealPos(),data.G.RealAng or data.G:GetRealAngles()))
        ent:DrawModel()
		if ent:IsPlayer() and ValidEntity(ent:GetActiveWeapon()) then 
			ent:GetActiveWeapon():DrawModel() 
		end
		for k,v in pairs(player.GetAll()) do
			if v:GetVehicle() == ent then
				v:DrawModel()
			end
		end
    cam.End3D()
end
function EFFECT:Think()
    if !ValidEntity(self.Ent) then return false end
    local ent = self.Ent
	local data = SL_SHIPCONTENTS[ent]
	if !(data && ValidEntity(data.S) && ValidEntity(data.G)) then return false end
	if ent:IsPlayer() && !ent:Alive() then return false end
	local pos = WorldToLocal(ent:GetRealPos(),Angle(0,0,0),data.G:GetRealPos(),data.G:GetRealAngles())
	pos = LocalToWorld(pos,Angle(0,0,0),data.S:GetPos(),data.S:GetAngles())
    self:SetRenderBoundsWS(pos-(ent:OBBMaxs()-ent:OBBMins()),pos+(ent:OBBMaxs()-ent:OBBMins()))
    return true
end