local ENT = FindMetaTable("Entity")
if !ENT.GetRealPos then
    ENT.GetRealPos = ENT.GetPos
end
if !ENT.GetRealAngles then
	ENT.GetRealAngles = ENT.GetAngles
end
if !ENT.RealFireBullets then
	ENT.RealFireBullets = ENT.FireBullets
end
if !ENT.GetRealVelocity then
	ENT.GetRealVelocity = ENT.GetVelocity
end
/*
ENT.FireBullets = function(self,tbl)
	local data,s,g
	if SERVER then
		if self:IsWeapon() and ValidEntity(self:GetOwner()) and self:GetOwner().InShip then
			s = self:GetOwner().InShip
			data = SL_SHIPS[self:GetOwner().InShip]
		elseif self.InShip or self.MyShip then
			s = self.InShip
			data = SL_SHIPS[self.InShip or self.MyShip]
		end
		if data then g = data.MainGhost end
	else
		if self:IsWeapon() and ValidEntity(self:GetOwner()) and SL_SHIPCONTENTS[self:GetOwner()] then
			data = SL_SHIPCONTENTS[self:GetOwner()]
		elseif SL_SHIPCONTENTS[self] then
			data = SL_SHIPCONTENTS[self]
		end
		if data then
			s = data.S
			g = data.G
		end
	end
	self:RealFireBullets(tbl)
	if (ValidEntity(s) && ValidEntity(g)) then
		local ttbl = table.Copy(tbl)
		if ttbl.Src then
			local pos,ang = WorldToLocal(ttbl.Src,Angle(0,0,0),g.RealPos or g:GetRealPos(),g.RealAng or g:GetRealAngles())
			pos,ang = LocalToWorld(pos,ang,s.RealPos or s:GetRealPos(),s.RealAng or s:GetRealAngles())
			ttbl.Src = pos
		end
		if ttbl.Dir then
			local pos,ang = WorldToLocal(ttbl.Dir,Angle(0,0,0),vector_origin,g.RealAng or g:GetRealAngles())
			pos,ang = LocalToWorld(pos,ang,vector_origin,s.RealAng or s:GetRealAngles())
			ttbl.Dir = pos
		end
		self:RealFireBullets(ttbl)
	end
end*/
ENT.GetPos = function(self)
    self.UsedFakePos = true
	if self.FakePosTime == CurTime() then return self.FakePos end
    if SERVER and (ValidEntity(self.InShip or self.MyShip) and SL_SHIPS[self.InShip or self.MyShip]) or
       CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self]) then
        if self:IsWeapon() then
            return self:GetRealPos()
        else
            local data = SERVER and (SL_SHIPS[self.InShip or self.MyShip]) or
                         CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self])
            local s,g = (self.InShip or self.MyShip or data.S), (data.MainGhost or data.G)
			if (ValidEntity(s) && ValidEntity(g)) then
				local pos,ang = WorldToLocal(self.RealPos or self:GetRealPos(),self.RealAng or self:GetRealAngles(),g.RealPos or g:GetRealPos(),g.RealAng or g:GetRealAngles())
				pos,ang = LocalToWorld(pos,ang,s:GetPos(),s:GetAngles()) --recursive so you can live out your inception fantasies
				self.FakePos = pos
				self.FakePosTime = CurTime()
				return pos or self:GetRealPos()
			else
				return self:GetRealPos()
			end
        end
    else
        return self:GetRealPos()
    end
end
ENT.GetAngles = function(self)
	self.UsedFakeAng = true
	if self.FakeAngTime == CurTime() then return self.FakeAng end
    if SERVER and (ValidEntity(self.InShip or self.MyShip) and SL_SHIPS[self.InShip or self.MyShip]) or
       CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self]) then
        if self:IsWeapon() then
            return self:GetRealPos()
        else
            local data = SERVER and (SL_SHIPS[self.InShip or self.MyShip]) or
                         CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self])
            local s,g = (self.InShip or self.MyShip or data.S), (data.MainGhost or data.G)
			if (ValidEntity(s) && ValidEntity(g)) then
				local pos,ang = WorldToLocal(self.RealPos or self:GetRealPos(),self.RealAng or self:GetRealAngles(),g.RealPos or g:GetRealPos(),g.RealAng or g:GetRealAngles())
				pos,ang = LocalToWorld(pos,ang,s:GetPos(),s:GetAngles())
				self.FakeAng = ang
				self.FakeAngTime = CurTime()
				return ang or self:GetRealAngles()
			else
				return self:GetRealAngles()
			end
        end
    else
        return self:GetRealAngles()
    end
end/*
ENT.GetVelocity = function(self)
	self.UsedFakeVel = true
	if self.FakeVelTime == CurTime() then return self.FakeVel end
    if SERVER and (ValidEntity(self.InShip or self.MyShip) and SL_SHIPS[self.InShip or self.MyShip]) or
       CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self]) then
		local data = SERVER and (SL_SHIPS[self.InShip or self.MyShip]) or
					 CLIENT and (SL_SHIPCONTENTS[self] or SL_GHOSTHULLS[self])
		local s,g = (self.InShip or self.MyShip or data.S), (data.MainGhost or data.G)
		if (ValidEntity(s) && ValidEntity(g)) then
			local vel = WorldToLocal(self:GetRealVelocity(),Angle(0,0,0),vector_origin,g.RealAng or g:GetRealAngles())
			vel = LocalToWorld(vel,Angle(0,0,0),vector_origin,s:GetAngles())
			self.FakeVel = vel
			self.FakeVelTime = CurTime()
			return vel or self:GetRealVelocity()
		else
			return self:GetRealVelocity()
		end
    else
        return self:GetRealVelocity()
    end
end*/
local PLY = FindMetaTable("Player")
if !util.RealPlayerTrace then
	util.RealPlayerTrace = util.GetPlayerTrace
end
if !util.RealTraceLine then
	util.RealTraceLine = util.TraceLine
end
if !PLY.OldSetViewEntity then
	PLY.OldSetViewEntity = PLY.SetViewEntity
end
if !PLY.RealEyeTrace then
	PLY.RealEyeTrace = PLY.GetEyeTrace
end
if !PLY.RealEyeTraceNoCursor then
	PLY.RealEyeTraceNoCursor = PLY.GetEyeTraceNoCursor
end/*
util.TraceLine = function(tab)
	local tr = util.RealTraceLine(tab)
xpcall(function()
	if !ValidEntity(tr.Entity) then return tr end
	if (CLIENT and ValidEntity(tr.Entity) and (SL_GHOSTHULLS[tr.Entity] or SL_SHIPCONTENTS[tr.Entity])) or
	   (SERVER and ValidEntity(tr.Entity) and (SL_HULLS[tr.Entity] or tr.Entity.InShip)) then
		if CLIENT and SL_SHIPCONTENTS[tr.Entity] then 
			local data = SL_SHIPCONTENTS[tr.Entity]
			local pos,ang = WorldToLocal(tr.HitPos,Angle(0,0,0),data.G.RealPos or data.G:GetRealPos(),data.G.RealAng or data.G:GetRealAngles())
			pos,ang = LocalToWorld(pos,ang,data.S.RealPos or data.S:GetRealPos(),data.S.RealAng or data.S:GetRealAngles())
			tr.HitPos = pos
		elseif CLIENT and SL_GHOSTHULLS[tr.Entity] then
		elseif SERVER and tr.Entity.InShip then
			local data = SL_SHIPS[tr.Entity.InShip]
			tr.HitPos = tr.Entity.InShip:LocalToWorld(data.MainGhost:WorldToLocal(tr.HitPos))
		end
	end
end,ErrorNoHalt)
	return tr
end*/
util.GetPlayerTrace = function(ply,dir,real)
	if (real) then return util.RealPlayerTrace(ply,dir) end
	local data
	if CLIENT then data = SL_SHIPCONTENTS[ply] else data = SL_SHIPS[ply.InShip] end
	if (data and !real) then
		local dataG = data.G or data.MainGhost
		local dataS = data.S or ply.InShip
		local aimvec = dir or ply:GetCursorAimVector()
		if !(ValidEntity(dataG) and ValidEntity(dataS)) then return util.RealPlayerTrace(ply,dir) end
		local posin,_p = WorldToLocal(ply:GetShootPos(),Angle(0,0,0),dataG.RealPos or dataG:GetRealPos(),dataG.RealAng or dataG:GetRealAngles())
		local nrmin,_n = WorldToLocal(aimvec+(dataG.RealPos or dataG:GetRealPos()),Angle(0,0,0),dataG.RealPos or dataG:GetRealPos(),dataG.RealAng or dataG:GetRealAngles())
		local pos,_p = LocalToWorld(posin,_p,dataS.RealPos or dataS:GetRealPos(),dataS.RealAng or dataS:GetRealAngles())
		local nrm,_n = LocalToWorld(nrmin,_n,vector_origin,dataS.RealAng or dataS:GetRealAngles())
		local filt = {ply}
		if SERVER then table.Add(filt,SL_PHYSGHOSTS) end
		local trace = { start = pos, endpos = pos + (nrm*16834), filter = filt }
		local tr = util.RealTraceLine(trace)
		if CLIENT then
			if ValidEntity(tr.Entity) and SL_GHOSTHULLS[tr.Entity] then
				return util.RealPlayerTrace( ply, aimvec )
			end
		else
			if ValidEntity(tr.Entity) and SL_HULLS[tr.Entity] then
				return util.RealPlayerTrace( ply, aimvec )
			end
		end
		return trace
	else
		return util.RealPlayerTrace(ply,dir)
	end
end
function PLY:SetViewEntity(ent)
	if ValidEntity(ent) then
		self:SendLua("SLViewEnt = Entity(" .. ent:EntIndex() .. ")")
	else
		self:SendLua("SLViewEnt = nil")
	end
	self:OldSetViewEntity(ent)
end
function PLY:GetEyeTraceNoCursor()
	return self:GetEyeTrace(true)
end
function PLY:GetEyeTrace(hax,real)
	if ( self.LastPlayerTrace == CurTime() && self.LastTraceWasReal == real && self.LastTraceWasHax == hax) then
		return self.PlayerTrace
	end
	
	local data
	if CLIENT then data = SL_SHIPCONTENTS[self] else data = SL_SHIPS[self.InShip] end
	local aimvec = (hax and self:GetAimVector() or self:GetCursorAimVector())
	local filt = {self}
	if SERVER then table.Add(filt,SL_PHYSGHOSTS) end
	if CLIENT then 
		for gh,_ in pairs(SL_GHOSTHULLS) do
			table.insert(filt,gh)
		end
	else
		for _,sh in pairs(SL_HULLS) do
			if ValidEntity(sh.Ghost) then
				table.insert(filt,sh.Ghost)
			end
		end
	end
	if (data and !real) then
		local dataG = data.G or data.MainGhost
		local dataS = data.S or self.InShip
		if !(ValidEntity(dataG) && ValidEntity(dataS)) then
			self.PlayerTrace = util.RealTraceLine{ start = self:GetShootPos(), endpos = self:GetShootPos()+(aimvec*16834), filter = filt}
			return self.PlayerTrace
		end
		local posin,_p = WorldToLocal(self:GetShootPos(),Angle(0,0,0),dataG.RealPos or dataG:GetRealPos(),dataG.RealAng or dataG:GetRealAngles())
		local nrmin,_n = WorldToLocal(aimvec+(dataG.RealPos or dataG:GetRealPos()),Angle(0,0,0),dataG.RealPos or dataG:GetRealPos(),dataG.RealAng or dataG:GetRealAngles())
		local pos,_p = LocalToWorld(posin,_p,dataS.RealPos or dataS:GetRealPos(),dataS.RealAng or dataS:GetRealAngles())
		local nrm,_n = LocalToWorld(nrmin,_n,vector_origin,dataS.RealAng or dataS:GetRealAngles())
		self.PlayerTrace = util.RealTraceLine{ start = pos, endpos = pos + (nrm*16834), filter = filt }
		/*
		if CLIENT then
			if ValidEntity(self.PlayerTrace.Entity) and ValidEntity(self.PlayerTrace.Entity.Ghost) and SL_GHOSTHULLS[self.PlayerTrace.Entity.Ghost] then
				self.PlayerTrace = util.RealTraceLine( util.RealPlayerTrace( self, aimvec ) )
			end
		else
			if ValidEntity(self.PlayerTrace.Entity) and SL_HULLS[self.PlayerTrace.Entity] then
				self.PlayerTrace = util.RealTraceLine( util.RealPlayerTrace( self, aimvec ) )
			end
		end*/
	else
		self.PlayerTrace = util.RealTraceLine{ start = self:GetShootPos(), endpos = self:GetShootPos()+(aimvec*16834), filter = filt}
	end
	self.LastPlayerTrace = CurTime()
	self.LastTraceWasReal = real
	self.LastTraceWasHax = hax
	
	return self.PlayerTrace
end
if SERVER then
	AddCSLuaFile("shipdef.lua")
    SL_HULLS = {} --contains all hull props, used to stop multiple designations
    SL_SHIPS = {} --a list of all current ships, keyed by their master dampener
	GHD_Transition = {} --a list of functions to call for certain classes when they are eaten
    SL_PHYSGHOSTS = {} --a list of dual-state objects inside or outside a ship
    validHulls = {"prop_physics","prop_physics_multiplayer","prop_dynamic"}
    copyValues = {} --PUT VARIOUS ENTITY VARIABLES IN HERE
	if !ENT.SetRealPos then
		ENT.SetRealPos = ENT.SetPos
	end
	ENT.SetPos = function(self,pos)
		if ValidEntity(self.InShip) and SL_SHIPS[self.InShip] then
			local S,G = self.InShip,SL_SHIPS[self.InShip].MainGhost
			if ValidEntity(S) && ValidEntity(G) then
				local npos = WorldToLocal(pos,Angle(0,0,0),S:GetPos(),S:GetAngles())
				npos = LocalToWorld(npos,Angle(0,0,0),G:GetRealPos(),G:GetRealAngles())
				self:SetRealPos(npos)
			else
				self:SetRealPos(pos)
			end
		else
			self:SetRealPos(pos)
		end
	end
    function UnHull(ent)
        if !SL_SHIPS[ent] then return end
        for _,e in pairs(SL_SHIPS[ent].Contents) do
            ShipSpit(ent,e)
        end
        for _,e in pairs(SL_SHIPS[ent].Hull) do
            SL_HULLS[e] = nil
        end
        for g,e in pairs(SL_SHIPS[ent].Ghosts) do
            if ValidEntity(g) then
                g:DontDeleteOnRemove(e)
                g:Remove()
            end
        end
        SL_SHIPS[ent] = nil
    end
	function PLY:ShipObject(p,y,h,e,g)
		umsg.Start("sl_ship_object",self)
            umsg.Short(p:EntIndex())
            umsg.Bool(y)
            umsg.Bool(h)
            if e then
                umsg.Short(e:EntIndex())
                umsg.Short(g:EntIndex())
            end
        umsg.End()
	end
    function ShipObject(p,y,h,e,g)
        umsg.Start("sl_ship_object")
            umsg.Short(p:EntIndex())
            umsg.Bool(y)
            umsg.Bool(h)
            if e then
                umsg.Short(e:EntIndex())
                umsg.Short(g:EntIndex())
            end
        umsg.End()
    end
    function ClientGhost(ent,ge,e)
        ShipObject(ge,true,true,ent,e)
		if (ValidEntity(ge)) then
			ge:SetColor(255,255,255,255)
			ge:SetMaterial("models/effects/vol_light001")
		end
    end
    function GhostSetup(ent,e,ge,pos)
        ge:SetModel(e:GetModel())
		e.Ghost = ge
        if ent == e then
            ge:SetRealPos(pos)
            ge:SetAngles(e:GetRealAngles())
        else
            if ValidEntity(ent.Ghost) then
                ge:SetRealPos(ent.Ghost:LocalToWorld(ent:WorldToLocal(e:GetRealPos())))
                ge:SetAngles(ent.Ghost:LocalToWorldAngles(ent:WorldToLocalAngles(e:GetRealAngles())))
            else
                ge:SetRealPos(pos+(e:GetRealPos()-ent:GetRealPos()))
                ge:SetAngles(e:GetRealAngles())
            end
            e:CallOnRemove("UpdateHull",UpdateHull,ent)
        end
        ge:DeleteOnRemove(e)
        ge:Spawn()
		ge:SetColor(0,0,0,0) --temp invisibility until the client sees us
		ge:DrawShadow(false)
		ge:SetCollisionGroup(e:GetCollisionGroup())
        timer.Simple(1,ClientGhost,ent,ge,e) --true invisibility
        local gep = ge:GetPhysicsObject()
        if gep:IsValid() then 
            gep:EnableMotion(false)
            gep:SetMass(50000) --the "solid" effect
        end
        for _,v in pairs(copyValues) do
            ge[v] = e[v]
        end
        e:DeleteOnRemove(ge)
        ge.MyShip = ent
    end
    hook.Add("EntityRemoved","SLDestroyShip",function(ent)
        if SL_SHIPS[ent] then UnHull(ent) end
    end)
	local explosive_models = {
		"models/props_c17/oildrum001_explosive.mdl",
		"models/props_phx/mk-82.mdl",
		"models/props_phx/oildrum001_explosive.mdl",
		"models/props_phx/torpedo.mdl",
		"models/props_phx/ww2bomb.mdl",
		"models/props_phx/misc/flakshell_big.mdl",
		"models/props_phx/amraam.mdl",
		"models/props_phx/cannonball.mdl",
		"models/props_phx/ball.mdl",
		"models/props_junk/gascan001a.mdl",
		"models/props_junk/propane_tank001a.mdl",
	}
	hook.Add("EntityRemoved","SLBarrelFix",function(ent)
	xpcall(function()
		if ent.InShip && ((ent:GetClass() == "prop_physics" && ent:Health() <= 0 && table.HasValue(explosive_models,ent:GetModel())) || ent:GetClass() == "npc_grenade_frag") then
			umsg.Start("sl_ship_explosion")
				umsg.Vector(ent:GetPos())
				umsg.Vector(ent:GetRealPos())
			umsg.End()
		end
	end,ErrorNoHalt)
	end)
	hook.Add("ValidHull","NoPhysbox",function(ent)
		if string.find(ent:GetClass(),"physbox") then return false end
	end)
    function UpdateHull(ent)
        if !(ValidEntity(ent) and SL_SHIPS[ent]) then return end
        local xcon = constraint.GetAllConstrainedEntities(ent)
        local con = table.Merge(SL_SHIPS[ent].Hull,xcon)
        local gents = SL_SHIPS[ent].Ghosts
        for k,e in pairs(con) do
			if !(ValidEntity(e) && e:GetModel() && e:GetMoveType() == MOVETYPE_VPHYSICS && e:GetPhysicsObjectCount() == 1 && hook.Call("ValidHull",nil,e) != false) then
                con[k]=nil
            end
        end
        local pos = vector_origin
        local rad = 0
        local amt = 0
        for _,p in pairs(con) do
            if ValidEntity(p) then
                pos = pos + p:GetRealPos()
                amt = amt + 1
            end
        end
        if amt > 0 then pos = pos / amt end
        for _,p in pairs(con) do
            if ValidEntity(p) then
                local mrad = p:GetRealPos():Distance(pos) + p:BoundingRadius()
                if mrad > rad then rad = mrad end
            end
        end
        local npos = SL_SHIPS[ent].NPos or FindNowhere(rad)
        for _,e in pairs(con) do
            if !ValidEntity(SL_HULLS[e]) and ValidEntity(e) then --if something's already part of a hull, don't ghost it
                local ge = ents.Create("prop_physics")
                GhostSetup(ent,e,ge,npos)
                SL_HULLS[e] = e
                gents[ge] = e
                if ent == e then
                    SL_SHIPS[ent].MainGhost = ge
                end
            end
        end
        SL_SHIPS[ent].Hull = con
        SL_SHIPS[ent].Welds = xcon
        SL_SHIPS[ent].NPos = npos
        SL_SHIPS[ent].Ghosts = gents
        SL_SHIPS[ent].Center = ent:WorldToLocal(pos)
        SL_SHIPS[ent].Radius = rad
		SL_SHIPS[ent].Volume = {}
    end
    function FindNowhere(rad)
        local nowhere = vector_origin
        --local skycam = ents.FindByClass("sky_camera")[1]
        --if ValidEntity(skycam) then skycam = skycam:GetRealPos() else skycam = nil end
        while !((util.PointContents(nowhere) == CONTENTS_EMPTY or util.PointContents(nowhere) == CONTENTS_TESTFOGVOLUME) and 
                !util.TraceHull{start=nowhere,endpos=nowhere,mins=Vector(1,1,1)*-rad,maxs=Vector(1,1,1)*rad}.Hit and 
				hook.Call("AllowGhostSpot",nil,nowhere) != false)do--and (!skycam or util.RealTraceLine{start=nowhere,endpos=skycam,mask=MASK_NPCWORLDSTATIC}.Hit)) do
            nowhere = Vector(math.random(-16384,16384),math.random(-16384,16384),math.random(-16384,16384))
        end
        return nowhere
    end
	concommand.Add("sl_antiteleport",function(p)
		if !p.AntiTeleportPos then return end
		if (p:GetRealPos():Distance(p.AntiTeleportPos) > (p:GetVelocity():Length()/5)) and !p:InVehicle() then
			p:SetRealPos(p.AntiTeleportPos)
			SendUserMessage("sl_antiteleport_cl",p,p.AntiTeleportPos) --pingpong until they're where they should be
		else
			p.AntiTeleportPos = nil
		end
	end)
	concommand.Add("sl_external_use",function(p)
		if !(p.InShip and SL_SHIPS[p.InShip]) then return end
		local tr = p:GetEyeTrace()
		if p:GetPos():Distance(tr.HitPos) < 140 && tr.Entity.InShip != p.InShip then
			local e = tr.Entity
			if e:IsVehicle() then
				timer.Simple(0.2,p.EnterVehicle,p,e)
			elseif e.Use then
				e:Use(p,p)
			else
				e:Fire("Use","1",0)
			end
			WorldSound("common/wpn_select.wav",e:GetPos(),60,100)
		end
	end)
	function AntiTeleport(p,ppos)
		if !p:Alive() or p:InVehicle() then return end
		p.AntiTeleportPos = ppos
		SendUserMessage("sl_antiteleport_cl",p,p.AntiTeleportPos)
	end
	local never_eat = {
		"physgun_beam"
	}
	function GHD_Transition:gmod_hoverball(old,new,oldpos,oldang)
		self.dt.TargetZ = new:LocalToWorld(old:WorldToLocal(Vector(oldpos.x,oldpos.y,self.dt.TargetZ))).z
	end
    function ShipEat(e,p,nm)
        if !SL_SHIPS[e] then return end
        if !ValidEntity(p) then return end
        if p:IsWorld() then return end
		if table.HasValue(never_eat,p:GetClass()) then return end
        local g = SL_SHIPS[e].MainGhost
        p.InShip = e
        table.insert(SL_SHIPS[e].Contents, p)
		local oldpos,oldang = p:GetRealPos(),p:GetRealAngles()
        if !nm or (e:GetPos() and !e.UsedFakePos) then
            if p:IsPlayer() then
				if ValidEntity(p.Holding) then
					p:Freeze(true)
					timer.Simple(0.02,p.Freeze,p,false)
				end
				local ppos = g:LocalToWorld(e:WorldToLocal(p:GetRealPos()+p:OBBCenter()))
				ppos = util.RealTraceLine{start = ppos, endpos = ppos+Vector(0,0,p:OBBMaxs().z)}.HitPos-Vector(0,0,p:OBBMaxs().z)
				ppos = util.RealTraceLine{start = ppos, endpos = ppos-p:OBBCenter()}.HitPos
                p:SetRealPos(ppos)
				AntiTeleport(p,ppos)
                p:SetLocalVelocity(g:LocalToWorld(e:WorldToLocal(p:GetRealVelocity()+e:GetRealPos()))-g:GetRealPos())
                local pa = g:LocalToWorldAngles(e:WorldToLocalAngles(p:EyeAngles()))
				p:SetEyeAngles(pa)
				p.SLRollFix = true
            elseif p:IsNPC() then
                p:SetRealPos(g:LocalToWorld(e:WorldToLocal(p:GetRealPos()+p:OBBCenter()))-p:OBBCenter())
                p:SetLocalVelocity(g:LocalToWorld(e:WorldToLocal(p:GetRealVelocity()+e:GetRealPos()))-g:GetRealPos())
            else
				local i
				local pv,pp,pa = {},{},{}
				for i=1,p:GetPhysicsObjectCount() do
					local po = p:GetPhysicsObjectNum(i-1)
					if po:IsValid() then
						pv[i] = g:LocalToWorld(e:WorldToLocal(po:GetVelocity()+e:GetRealPos()))-g:GetRealPos()
						if (p:GetPhysicsObjectCount() > 1) then
							pp[i] = g:LocalToWorld(e:WorldToLocal(po:GetPos()))
							pa[i] = g:LocalToWorldAngles(e:WorldToLocalAngles(po:GetAngle()))
						end
					end
				end
                p:SetRealPos(g:LocalToWorld(e:WorldToLocal(p:GetRealPos())))
                p:SetAngles(g:LocalToWorldAngles(e:WorldToLocalAngles(p:GetRealAngles())))
				if p:GetPhysicsObjectCount() > 1 then
					for i=1,p:GetPhysicsObjectCount() do
						local po = p:GetPhysicsObjectNum(i-1)
						if (po:IsValid()) then
							po:SetPos(pp[i])
							po:SetAngle(pa[i])
						end
					end
				end
				for i=1,p:GetPhysicsObjectCount() do
					local po = p:GetPhysicsObjectNum(i-1)
					if po:IsValid() then
						po:SetVelocity(pv[i])
					end
				end
				local pg = SL_PHYSGHOSTS[p]
				if ValidEntity(p.HeldBy) && p.HeldBy.InShip != e then
					PhysGhost(e,p).Expire = CurTime()+0.5
					p.HeldBy:Freeze(true)
					timer.Simple(0.02,p.HeldBy.Freeze,p.HeldBy,false)
				elseif ValidEntity(pg) && ValidEntity(pg.HeldBy) && pg.HeldBy.InShip == e then
					DisablePhysGhost(p,pg)
					pg.HeldBy:Freeze(true)
					timer.Simple(0.02,pg.HeldBy.Freeze,pg.HeldBy,false)
				end
            end
        end
        ShipObject(p,true,false,e,g)
		if GHD_Transition[p:GetClass()] then GHD_Transition[p:GetClass()](p,e,g,oldpos,oldang) end
		hook.Call("EnterShip",nil,p,e,g,oldpos,oldang)
    end
    function ShipSpit(e,p,nm,nog,nt)
		if !SL_SHIPS[e] then return end
        local g = SL_SHIPS[e].MainGhost
        if !ValidEntity(p) then return end
		local oldpos,oldang = p:GetRealPos(),p:GetRealAngles()
        if p:IsPlayer() then
	        local ppos,pang = WorldToLocal(p:GetRealPos()+p:OBBCenter(), p:EyeAngles(), g:GetRealPos(), g:GetRealAngles())
			ppos,pang = LocalToWorld(ppos,pang,e:GetPos(),e:GetAngles())
			ppos = util.RealTraceLine{start = ppos, endpos = ppos+Vector(0,0,p:OBBMaxs().z)}.HitPos-Vector(0,0,p:OBBMaxs().z)
			ppos = util.RealTraceLine{start = ppos, endpos = ppos-p:OBBCenter()}.HitPos
            p:SetRealPos(ppos)
			if !nt then
				AntiTeleport(p,ppos)
			end
			local pvel = WorldToLocal(p:GetRealVelocity(),Angle(0,0,0),vector_origin,g:GetRealAngles())
			pvel = LocalToWorld(pvel,Angle(0,0,0),vector_origin,e:GetAngles())
            p:SetLocalVelocity(pvel)
            p:SetEyeAngles(pang)
			p.SLRollFix = true
            p:Freeze(true)
            timer.Simple(0.01,p.Freeze,p,false)
        elseif p:IsNPC() then
            p:SetRealPos(e:LocalToWorld(g:WorldToLocal(p:GetRealPos()+p:OBBCenter()))-p:OBBCenter())
        else
			local i
			local pv,pp,pa = {},{},{}
			for i=1,p:GetPhysicsObjectCount() do
				local po = p:GetPhysicsObjectNum(i-1)
				if po:IsValid() then
					pv[i] = e:LocalToWorld(g:WorldToLocal(po:GetVelocity()+g:GetRealPos()))-e:GetRealPos()
					if (p:GetPhysicsObjectCount() > 1) then
					    pp[i], pa[i] = WorldToLocal(po:GetPos(),po:GetAngle(),g:GetRealPos(),g:GetRealAngles())
						pp[i], pa[i] = LocalToWorld(pp[i], pa[i], e:GetPos(), e:GetAngles())
					end
				end
			end
			local ppos,pang = WorldToLocal(p:GetRealPos(),p:GetRealAngles(),g:GetRealPos(),g:GetRealAngles())
			ppos,pang = LocalToWorld(ppos,pang,e:GetPos(),e:GetAngles())
            p:SetRealPos(ppos)
            p:SetAngles(pang)
			if p:GetPhysicsObjectCount() > 1 then
				for i=1,p:GetPhysicsObjectCount() do
					local po = p:GetPhysicsObjectNum(i-1)
					if (po:IsValid()) then
						po:SetPos(pp[i])
						po:SetAngle(pa[i])
					end
				end
			end
			for i=1,p:GetPhysicsObjectCount() do
				local po = p:GetPhysicsObjectNum(i-1)
				if po:IsValid() then
					po:SetVelocity(pv[i])
				end
			end
			if !nog then
				local pg = SL_PHYSGHOSTS[p]
				if ValidEntity(p.HeldBy) && p.HeldBy.InShip == e then
					p.InShip = nil
					PhysGhost(e,p).Expire = CurTime()+0.5
					p.HeldBy:Freeze(true)
					timer.Simple(0.02,p.HeldBy.Freeze,p.HeldBy,false)
				elseif ValidEntity(pg) && ValidEntity(pg.HeldBy) && !pg.HeldBy.InShip then
					DisablePhysGhost(p,pg)
					pg.HeldBy:Freeze(true)
					timer.Simple(0.02,pg.HeldBy.Freeze,pg.HeldBy,false)
				end
			end
        end
		p.InShip = nil
		if ValidEntity(e.InShip) and SL_SHIPS[e.InShip] then
			ShipEat(e.InShip,p)
		else
			ShipObject(p,false,false)
		end
		if GHD_Transition[p:GetClass()] then GHD_Transition[p:GetClass()](p,g,e,oldpos,oldang) end
		hook.Call("ExitShip",nil,p,e,g,oldpos,oldang)
    end
	local NotRagdolls = {}
	function IsRagdoll(p)
		if table.HasValue(NotRagdolls) then return false end
		if p:GetPhysicsObjectCount() <= 1 then return false end
		if p:IsVehicle() then return false end
		return true
	end
	function GhostDelete(ent)
		local re = SL_PHYSGHOSTS[ent]
		SL_PHYSGHOSTS[ent] = nil
		if ValidEntity(re) then
			re.SLMyGhost = nil
			re.SLHull = nil
		end
	end
    function PhysGhost(ent,p)
        local data = SL_SHIPS[ent]
        if !(ValidEntity(p) and ValidEntity(ent) and !p:IsPlayer() and !ent.MyShip and !SL_SHIPS[p] and ent:GetMoveType() == MOVETYPE_VPHYSICS and data) then return {} end
        if p.InShip == ent then --inside, make a physghost outside
            local mg = data.MainGhost
			if !ValidEntity(mg) then return {} end
			if !ValidEntity(p.SLMyGhost) then p.SLMyGhost = nil end
            local g = p.SLMyGhost or (IsRagdoll(p) and ents.Create("prop_ragdoll") or ents.Create("prop_physics"))
			if g.InShip then ShipSpit(g.InShip,g,nil,true) end
            g:SetRealPos(ent:LocalToWorld(mg:WorldToLocal(p:GetRealPos())))
			local i
            g:SetAngles(ent:LocalToWorldAngles(mg:WorldToLocalAngles(p:GetRealAngles())))
            g:SetModel(p:GetModel())
			g:CallOnRemove("GhostDelete",GhostDelete,ent)
            p.SLHull = mg
            g.SLHull = ent
            g.SLIsGhost = true
			if ValidEntity(p:GetPhysicsAttacker()) then
				g:SetPhysicsAttacker(p:GetPhysicsAttacker())
			end
			g:SetOwner(p:GetOwner())
			g.Owner = p.Owner
			g.Spawner = p.Spawner
            if !p.SLMyGhost then g:Spawn() end
            p.SLMyGhost = g
            g:SetSolid(p:GetSolid())
            g:SetMoveType(p:GetMoveType())
			g:SetCollisionGroup(p:GetCollisionGroup())
			if p:GetPhysicsObjectCount() > 1 then
				for i=1,p:GetPhysicsObjectCount() do
					local po = p:GetPhysicsObjectNum(i-1)
					local gp = g:GetPhysicsObjectNum(i-1)
					if (gp && po && gp:IsValid() && po:IsValid()) then
						gp:SetPos(ent:LocalToWorld(mg:WorldToLocal(po:GetPos())))
						gp:SetAngle(ent:LocalToWorldAngles(mg:WorldToLocalAngles(po:GetAngle())))
					end
				end
			end
			for i=1,p:GetPhysicsObjectCount() do
				local po = p:GetPhysicsObjectNum(i-1)
				local gp = g:GetPhysicsObjectNum(i-1)
				if gp && po && gp:IsValid() && po:IsValid() then
					gp:EnableGravity(false)
					gp:EnableCollisions(true)
					gp:EnableMotion(po:IsMoveable())
				end
			end
			g:SetColor(0,0,0,0) --it's just for physics!!
			g:SetNoDraw(true) --seriously!!
            SL_PHYSGHOSTS[p] = g --register as a physghost
			hook.Call("OnCreatePhysghost",nil,ent,p,g)
            return g
        else --outside, make a physghost inside
            local mg = data.MainGhost
			if !ValidEntity(mg) then return {} end
			if !ValidEntity(p.SLMyGhost) then p.SLMyGhost = nil end
            local g = p.SLMyGhost or (IsRagdoll(p) and ents.Create("prop_ragdoll") or ents.Create("prop_physics"))
            g:SetRealPos(mg:LocalToWorld(ent:WorldToLocal(p:GetRealPos())))
			local i
            g:SetAngles(mg:LocalToWorldAngles(ent:WorldToLocalAngles(p:GetRealAngles())))
            g:SetModel(p:GetModel())
            p.SLHull = ent
            g.SLHull = mg
            g.SLIsGhost = true
            if !p.SLMyGhost then g:Spawn() end
            p.SLMyGhost = g
			if ValidEntity(p:GetPhysicsAttacker()) then
				g:SetPhysicsAttacker(p:GetPhysicsAttacker())
			end
			g:SetOwner(p:GetOwner())
			g.Owner = p.Owner
			g.Spawner = p.Spawner
            g:SetSolid(p:GetSolid())
            g:SetMoveType(p:GetMoveType())
			g:SetCollisionGroup(p:GetCollisionGroup())
            g:SetColor(0,0,0,0) --it's just for physics!!
			g:SetNoDraw(true) --seriously!!
			if p:GetPhysicsObjectCount() > 1 then
				for i=1,p:GetPhysicsObjectCount() do
					local po = p:GetPhysicsObjectNum(i-1)
					local gp = g:GetPhysicsObjectNum(i-1)
					if (gp && po && gp:IsValid() && po:IsValid()) then
						gp:SetPos(mg:LocalToWorld(ent:WorldToLocal(po:GetPos())))
						gp:SetAngle(mg:LocalToWorldAngles(ent:WorldToLocalAngles(po:GetAngle())))
					end
				end
			end
			for i=1,p:GetPhysicsObjectCount() do
				local po = p:GetPhysicsObjectNum(i-1)
				local gp = g:GetPhysicsObjectNum(i-1)
				if gp && po && gp:IsValid() and po:IsValid() then
					gp:EnableGravity(false)
					gp:EnableCollisions(true)
					gp:EnableMotion(po:IsMoveable())
				end
			end
			if g.InShip != ent then
				ShipEat(ent,g,true)
			end
            SL_PHYSGHOSTS[p] = g --register as a physghost
			hook.Call("OnCreatePhysghost",nil,ent,p,g)
            return g
        end
    end
	local ShipVol_MinRadius = 150
	local ShipVol_Res = 30
	local OBBPadding = 8
	function GetCorners(p)
		local a,b,c,o = p:OBBMins(),p:OBBMaxs(),p:OBBCenter(),OBBPadding
		if math.abs(b.z-a.z) < ShipVol_MinRadius then
			return {
				Vector(a.x+o,a.y+o,c.z),
				Vector(b.x-o,a.y+o,c.z),
				Vector(b.x-o,b.y-o,c.z),
				Vector(a.x+o,b.y-o,c.z),
				Vector(b.x-o,b.y-o,c.z),
			}
		else
			return {
				a,//or(a.x,a.y,a.z),
				Vector(b.x-o,a.y+o,a.z+o),
				Vector(b.x-o,b.y-o,a.z+o),
				Vector(a.x+o,b.y-o,a.z+o),
				Vector(b.x-o,b.y-o,a.z+o),
				Vector(b.x-o,a.y+o,b.z-o),
				Vector(b.x-o,b.y-o,b.z-o),
				Vector(a.x+o,b.y-o,b.z-o),
				Vector(b.x-o,b.y-o,b.z-o),
				b,//or(b.x,b.y,b.z),
			}
		end
	end
	function EntInShip(e,p)	
		local data = SL_SHIPS[e]
		if !(ValidEntity(e) and data and ValidEntity(p)) then return end
		local obc = LocalToWorld(p:OBBCenter(),Angle(0,0,0),vector_origin,p:GetRealAngles())
		local out = false
		if p.InShip == e then
			out = PointInShip(e,data.MainGhost:WorldToLocal(p:GetRealPos()+obc))
		else
			out = PointInShip(e,e:WorldToLocal(p:GetRealPos()+obc))
		end
		if out and !IsRagdoll(p) and p:BoundingRadius() > ShipVol_MinRadius then
			p.SLCorners = p.SLCorners or GetCorners(p)
			for _,v in pairs(p.SLCorners) do
				local pos,ang = LocalToWorld(v,Angle(0,0,0),vector_origin,p:GetRealAngles())
				if p.InShip == e then
					out = PointInShip(e,data.MainGhost:WorldToLocal(p:GetRealPos()+pos))
				else
					out = PointInShip(e,e:WorldToLocal(p:GetRealPos()+pos))
				end
				if !out then break end
			end
		end
		return out
	end
	function PointInShip(e,v)
		local data = SL_SHIPS[e]
		if !(ValidEntity(e) and data) then return end
		local lv = Vector(math.Round(v.x/ShipVol_Res),math.Round(v.y/ShipVol_Res),math.Round(v.z/ShipVol_Res))
		local key = lv.x .. ' ' .. lv.y .. ' ' .. lv.z
		local mg = data.MainGhost
		if (data.Volume[key] == nil) then
			local wv = mg:LocalToWorld((lv*ShipVol_Res))
			local filt = {}
			table.Add(filt,data.Contents)
			table.Add(filt,SL_PHYSGHOSTS)
			if data.Ghosts[util.RealTraceLine{start = wv, endpos = wv-Vector(0,0,data.Radius*2), filter = filt}.Entity] then -- FLOOR
				local otherdirs = {
					Vector(0,0,data.Radius*2), --up
					Vector(-data.Radius*2,0,0), --left
					Vector(data.Radius*2,0,0), --right
					Vector(0,-data.Radius*2,0), --back
					Vector(0,data.Radius*2,0) -- forward
				}
				for _,od in pairs(otherdirs) do
					if data.Ghosts[util.RealTraceLine{start = wv, endpos = wv+od, filter = filt}.Entity] then -- WALL OR CEILING = YEP
						data.Volume[key] = true
						return true
					end
				end
			end
			data.Volume[key] = false
			return false
		else
			return data.Volume[key]
		end
	end
    function DisablePhysGhost(p,g)
        if ValidEntity(p) and ValidEntity(g) then
            g:SetSolid(SOLID_NONE)
            g:SetMoveType(MOVETYPE_NONE)
            SL_PHYSGHOSTS[p] = nil
        end
    end
    function GetExteriorEyeEntity(p)
		if !p:IsPlayer() then return end
        if !(ValidEntity(p.InShip) and SL_SHIPS[p.InShip]) then return p:RealEyeTrace().Entity end
        local ship = p.InShip
        local ghost = SL_SHIPS[ship].MainGhost
        --do the actual trace now
		if !(ValidEntity(ghost) && ValidEntity(ship)) then return NULL end
        local strt = ship:LocalToWorld(ghost:WorldToLocal(p:EyePos()))
        local endp = ship:LocalToWorld(ghost:WorldToLocal(p:EyePos()+p:GetCursorAimVector()*4096))
        return util.RealTraceLine{start = strt, endpos = endp, filter = p}.Entity
    end
	function GetInteriorEyeEntity(e,p)
		if !(ValidEntity(e) and SL_SHIPS[e] and p:IsPlayer()) then return NULL end
		local ghost = SL_SHIPS[e].MainGhost
		--do the actual trace now
		if !(ValidEntity(ghost) && ValidEntity(e)) then return NULL end
		local strt = ghost:LocalToWorld(e:WorldToLocal(p:EyePos()))
		local endp = ghost:LocalToWorld(e:WorldToLocal(p:EyePos()+p:GetCursorAimVector()*4096))
		return util.RealTraceLine{start = strt, endpos = endp, filter = p}.Entity
	end
    hook.Add("SetupPlayerVisibility","SLShipVis",function(ply)
	xpcall(function()
        if ValidEntity(ply.InShip) then
            AddOriginToPVS(ply.InShip:GetRealPos())
            ply:GetRealPos()
        end
		for e,dat in pairs(SL_SHIPS) do
			if ValidEntity(dat.MainGhost) then
				AddOriginToPVS(dat.MainGhost:GetRealPos())
			end
		end
    end,ErrorNoHalt)
    end)
    local nexttick = 0
	local numticks = 0
    local a0 = Angle(0,0,0)
	local ignore_in_contraption = {
		"gmod_thruster","gmod_hoverball","gmod_turret"
	}
    hook.Add("Think","SLShipTick",function()
	xpcall(function()
        --external physghost summoning and view roll fix, lulz
		for _,p in pairs(player.GetAll()) do
            local e = GetExteriorEyeEntity(p)
            if ValidEntity(p.InShip) and ValidEntity(e) and !(e.MyShip or e.InShip or SL_SHIPS[p.InShip].Welds[e] or e:IsWorld() or e:IsNPC()) then
                if ValidEntity(SL_PHYSGHOSTS[e]) && SL_PHYSGHOSTS[e].InShip then
                    SL_PHYSGHOSTS[e].Expire = CurTime()+0.5
                else
                    PhysGhost(p.InShip,e).Expire = CurTime()+0.5 
                end
			elseif !ValidEntity(p.InShip) and ValidEntity(e) and ValidEntity(e.Ghost) and ValidEntity(e.Ghost.MyShip) and SL_SHIPS[e.Ghost.MyShip] then
				local ph = e.Ghost.MyShip
				local ie = GetInteriorEyeEntity(ph,p) --lol it says php and the variable is IE, what a coincidence
				if ValidEntity(ie) and ie.InShip == ph then
					if ValidEntity(SL_PHYSGHOSTS[ie]) && !SL_PHYSGHOSTS[ie].InShip then
						SL_PHYSGHOSTS[ie].Expire = CurTime()+0.5
					else
						PhysGhost(ie.InShip,ie).Expire = CurTime()+0.5
					end
				end
            end
        end
        --update the physghosts
        for p,g in pairs(SL_PHYSGHOSTS) do
            --check stuff
            if ValidEntity(p) and ValidEntity(g) then
                if g.Expire and CurTime() > g.Expire then --obai mr ghost (we'll let him live in case we need him again)
                    DisablePhysGhost(p,g)
                else
                    --calculate stuff
                    local ph,gh = p.SLHull,g.SLHull
					if (ValidEntity(ph) && ValidEntity(gh)) then
						--do stuff
						local gbang = gh:LocalToWorldAngles(ph:WorldToLocalAngles(p:GetRealAngles()))
						local gbpos = gh:LocalToWorld(ph:WorldToLocal(p:GetRealPos()))
						local i
						for i=1,p:GetPhysicsObjectCount() do
							local pp,gp = p:GetPhysicsObjectNum(i-1),g:GetPhysicsObjectNum(i-1)
							local gpos = gh:LocalToWorld(ph:WorldToLocal(pp:GetPos()))
							local gang = gh:LocalToWorldAngles(ph:WorldToLocalAngles(pp:GetAngle()))
							if pp and gp and pp:IsValid() and gp:IsValid() then
								local gvel = pp:LocalToWorld(gp:WorldToLocal(gp:GetVelocity()+gp:GetPos()))-pp:GetPos()
								if (gp:IsMoveable() && !pp:IsMoveable()) then pp:EnableMotion(true) end
								if ValidEntity(g.HeldBy) and g.HeldBone == i-1 then --safe to assume it's being physgunned-- that means we obey the ghost
									/*if (gp:GetMass() < 500) then --if its mass is low enough that it moves too slow
										g.OldBoneMass = gp:GetMass() --record the old mass
										gp:SetMass(500) --change the mass to something draggable
										g.FixBoneMass = g.HeldBone --and tell the "let go" hook to fix it later
									end*/
									gp:EnableCollisions(true)
									pp:SetVelocity((gp:GetPos() - gpos) + gvel) --apply vel changes to the nonghost
									pp:AddAngleVelocity(a0-pp:GetAngleVelocity()) --nullify angular velocity
									pp:AddAngleVelocity(gp:GetAngleVelocity()) --inherit ghost's angvel
									gp:AddAngleVelocity(a0-gp:GetAngleVelocity()) --nullify ghost's angvel
									g.Expire = CurTime()+0.5
								else --freely moving, so obey the nonghost
									g:SetRealPos(gbpos) --update the base location
									gp:SetPos(gpos) --update the ghost's location
									if !p.InShip then
										pp:AddVelocity(gvel) --hint at any vel changes
										pp:AddAngleVelocity(gp:GetAngleVelocity())
									else
										gp:EnableCollisions(false)
									end
									gp:AddAngleVelocity(a0-gp:GetAngleVelocity())
									gp:AddVelocity(vector_origin) --nullify the ghosts's velocity to avoid spazz
								end
								--NO SLEEPING KTHX
								pp:Wake()
								gp:Wake()
								pp:SetMass(gp:GetMass()) --make sure this thing feels like it's in a physgun
								gp:SetPos(gpos) --update the bone's location
								gp:SetAngle(gang) --update the bone's angles
							end
						end
						g:SetRealPos(gbpos) --update the ghost's location
						g:SetAngles(gbang) --update the ghost's angles
						g:SetColor(0,0,0,0) --don't let them see me...EVER
					end
                end
            end
        end
        --scary discovery stuff hurr durr
        if CurTime() > nexttick then
			numticks = (numticks > 4 and 0 or numticks + 1)
            nexttick = CurTime()+0.2
            for ent,data in pairs(SL_SHIPS) do
                if ValidEntity(ent) and ValidEntity(data.MainGhost) then
				  --/----------------------------------------------------------------------------\--
				  --|-TODO: FIX UPDATEHULL SO IT TREATS EVERYTHING ATTACHED TO THE HULL PROPERLY-|--
				  --\----------------------------------------------------------------------------/--
					if numticks == 3 then
	--					local xcon = constraint.GetAllConstrainedEntities(ent)
--						for k,v in pairs(xcon) do
						if table.Count(data.Welds) != table.Count(constraint.GetAllConstrainedEntities(ent)) then
							UpdateHull(ent) --reconstruct the ghosts if any constraints are changed
						end
					end
                    local pos,rad = ent:LocalToWorld(data.Center),data.Radius
					ent.SLLastFind = (numticks > 0 and ent.SLLastFind or ents.FindInSphere(pos,rad+300))
					local findsph = table.Copy(ent.SLLastFind)
                    for _,p in pairs(findsph) do
						if type(p.SLLastTick) != 'table' then p.SLLastTick = {} end
                        if !(!ValidEntity(p) or p.InShip == ent or p.MyShip == ent or data.Hull[p] or data.Welds[p] or p:IsWorld() or p.SLIsGhost or p.SLLastTick[ent] == numticks or
                        p:GetMoveType() == MOVETYPE_NONE or !p:GetPhysicsObject():IsValid() or p:GetPhysicsObject():IsAsleep() or !p:GetPhysicsObject():IsMoveable() or ValidEntity(p:GetParent())) then
							if p:IsConstrained() then --ENTIRE CONTRAPTIONS MUST BE MOVED ALL AT ONCE
								local pcon = constraint.GetAllConstrainedEntities(p)
								local doit = true
								local isship = false
								for _,con in pairs(pcon) do
									con.SLLastTick = con.SLLastTick or {}
									con.SLLastTick[ent] = numticks
									if con==ent or (doit and !table.HasValue(ignore_in_contraption,con:GetClass()) and !EntInShip(ent,con)) then 
										doit = false
									end
								end
								if doit then
									for _,con in pairs(pcon) do
										ShipEat(ent,con) --do it all at once
									end
								end
							elseif EntInShip(ent,p) then --If the ent is physically in the ship
                                ShipEat(ent,p) --teleport it to the clone
                            end
							p.SLLastTick[ent] = numticks
                        end
                    end
                    for k,p in pairs(data.Contents) do
                        if ValidEntity(p) and p.InShip == ent and !p.SLIsGhost then
                            if p:IsPlayer() and !p:Alive() then
                                ShipSpit(ent,p) --SPIT OUT ALL THE DEAD PEOPLE O.o
                            elseif !p:GetPhysicsObject():IsValid() or (!p:GetPhysicsObject():IsAsleep() and p:GetPhysicsObject():IsMoveable()) and p.SLLastInTick != numticks then --either doesn't have a physobj or its physobj is awake and unfrozen
								if p:IsConstrained() then --ENTIRE CONTRAPTIONS MUST BE MOVED ALL AT ONCE
									local pcon = constraint.GetAllConstrainedEntities(p)
									local doit = false
									local isship = false
									for _,con in pairs(pcon) do
										con.SLLastInTick = numticks
										if con.MyShip then isship = true end
										if !isship and !doit and !table.HasValue(ignore_in_contraption,con:GetClass()) and !EntInShip(ent,con) then --something is sticking out
											doit = true
										end
									end
									if doit and !isship then
										for _,con in pairs(pcon) do
											ShipSpit(ent,con) --all at once.
											data.Contents[con] = nil --kbai
										end
									end
								elseif !EntInShip(ent,p) then
                                    ShipSpit(ent,p)
                                    data.Contents[k]=nil
                                end
                            end
							p.SLLastInTick = numticks
                        else
                            data.Contents[k]=nil
                        end
                    end
                end
            end
        end
    end,ErrorNoHalt)
    end)
    local function SLSpawn(ent,two)
	xpcall(function()
        if !ValidEntity(ent) then return end
		if ent.SLIsGhost then return end
        local ply = ent:GetOwner()
        if !ValidEntity(ply) then ply = ent:GetPhysicsAttacker() end
        if !ValidEntity(ply) then ply = ent.Owner or ent.Spawner end
        if !ValidEntity(ply) then ply = ((ent.Constraints||{})[1]||{}).Ent2 end --extremely hacky way to find prop spawner parent
        if !ValidEntity(ply) then ply = (((ent.OnDieFunctions||{}).GetCountUpdate||{}).Args||{})[1] end --extremely hacky way to find out who spawned this
        if ValidEntity(ply) and SL_SHIPS[ply.InShip or ply.MyShip] then
            local ship = (ply.InShip or ply.MyShip)
			//if EntInShip(
			if ent:IsVehicle() then --for some reason vehicles spawn with EyeTrace
				local ea = ent:GetAngles()
				ShipEat(ship,ent)
				ent:SetAngles(ea)
			else
				ShipEat(ship,ent,true)
			end
        elseif !two then
            timer.Simple(0,SLSpawn,ent,true)
        end
    end,ErrorNoHalt)
    end
    hook.Add("OnEntityCreated","SLSpawn",SLSpawn)
	hook.Add("CanPlayerEnterVehicle","SLVehicleEnterFix",function(ply,car)
		if (ply.InShip && !car.InShip) then
			ShipSpit(ply.InShip,ply)
		end
	end)
	hook.Add("PlayerLeaveVehicle","SLVehicleFix",function(ply,car)
		if (car.InShip && !ply.InShip) then
			ShipEat(car.InShip,ply,true)
		end
	end)
	hook.Add("OnPhysgunFreeze","PhysGhostFreeze",function(wep,phy,ent,ply)
		if (ValidEntity(ent) && ValidEntity(ent.SLMyGhost)) then ent.SLMyGhost:GetPhysicsObject():EnableMotion(false) end
	end)
	hook.Add("PlayerDeath","SLDeath",function(ply)
		if (ValidEntity(ply) && ValidEntity(ply.InShip)) then
			xpcall(ShipSpit,ErrorNoHalt,ply.InShip,ply)
		end
	end)
    hook.Add("PhysgunPickup","NoGrab",function(ply,ent)
		if ValidEntity(ent) && ValidEntity(ply) then
			if !ValidEntity(ply.InShip) then ply.InShip = nil end
			if !ValidEntity(ent.InShip) then ent.InShip = nil end
			if ply.InShip != ent.InShip then
				return false
			end
			if ValidEntity(ent.MyShip) and SL_SHIPS[ent.MyShip] then --indicates that it's a ghost hull and shouldn't be moved
				return false
			end
        end
    end)
	hook.Add("PhysgunPickup","HeldBy",function(ply,ent)
		if ValidEntity(ent) && ValidEntity(ply) then
			ent.HeldBy = ply
			ent.HeldBone = ply:RealEyeTrace().PhysicsBone
			ply.Holding = ent
		end
	end)
	hook.Add("PhysgunDrop","HeldBy",function(ply,ent)
		if ValidEntity(ent) && ValidEntity(ply) then
			ent.HeldBy = nil
			ent.HeldBone = nil
			ply.Holding = nil
			if ent.FixBoneMass and ent.OldBoneMass then
				ent:GetPhysicsObjectNum(ent.FixBoneMass):SetMass(ent.OldBoneMass)
			end
		end
	end)
    hook.Add("CanPlayerUnfreeze","NoUnfreeze",function(ply,ent)
        if ply.InShip != ply:GetEyeTrace(true,true).Entity.InShip then
            return false
        end
        if ValidEntity(ent.MyShip) and SL_SHIPS[ent.MyShip] then --indicates that it's a ghost hull and shouldn't be moved
            return false
        end
    end)
	function SLClientData(ply)
		for ent,data in pairs(SL_SHIPS) do
			for k,v in pairs(data.Ghosts) do
				ply:ShipObject(k,true,true,ent,v)
			end
			for k,v in pairs(data.Contents) do
				ply:ShipObject(v,true,false,ent,data.MainGhost)
			end
		end
	end
	hook.Add("PlayerInitialSpawn","SLInitialSpawn",SLClientData)
    hook.Add("ShouldCollide","SLShipCollide",function(en1,en2)
		local out = nil
	xpcall(function()
		if !(en1:IsWorld() or en2:IsWorld()) then
			local e1,e2 = en1,en2
			if ValidEntity(e1.MyShip) and SL_SHIPS[e1.MyShip] and --ghost hull, should only collide with ghost children.
			!(e2.InShip == e1.MyShip) then --not a ghost child so don't collide, period.
				out = false
				return
			end
			if ValidEntity(e1.InShip) and SL_SHIPS[e1.InShip] and --ghost child, should only collide with hulls and other children.
			!(e2.MyShip == e1.InShip or e2.InShip == e1.InShip) then --not a ghost child or hull, so don't collide, period.
				out = false
				return
			end
			local e1,e2 = en2,en1
			if ValidEntity(e1.MyShip) and SL_SHIPS[e1.MyShip] and --ghost hull, should only collide with ghost children.
			!(e2.InShip == e1.MyShip) then --not a ghost child so don't collide, period.
				out = false
				return
			end
			if ValidEntity(e1.InShip) and SL_SHIPS[e1.InShip] and --ghost child, should only collide with hulls and other children.
			!(e2.MyShip == e1.InShip or e2.InShip == e1.InShip) then --not a ghost child or hull, so don't collide, period.
				out = false
				return
			end
		end
    end,ErrorNoHalt)
		return out
    end)
else
	SL_SHIPCONTENTS = {}
	SL_GHOSTHULLS = {}
	function AddHullIds(tab,enti,shipi,ghosti,times)
		local ent,ship,ghost = Entity(enti),Entity(shipi),Entity(ghosti)
		if !(ValidEntity(ent) && ValidEntity(ship) && ValidEntity(ghost)) then
			if (times < 50) then
				timer.Simple(0.1,AddHullIds,tab,enti,shipi,ghosti,times+1)
			end
			return
		end
		tab[ent] = {S = ship, G = ghost}
		ent.Ghost = ghost
		ghost.Hull = ent
	end
	local draw_with_effect = {
		"player",
		"npc_grenade_frag",
		"crossbow_bolt",
		"prop_combine_ball",
		"gmod_cameraprop",
		"gmod_turret",
	}
	function AddPropIds(tab,enti,shipi,ghosti,times)
		local ent,ship,ghost = Entity(enti),Entity(shipi),Entity(ghosti)
		if !(ValidEntity(ent) && ValidEntity(ship) && ValidEntity(ghost)) then
			if (times < 50) then
				timer.Simple(0.1,AddPropIds,tab,enti,shipi,ghosti,times+1)
			end
			return
		end
		if (ent == LocalPlayer()) then
			ent.RollCorrection = true
		end
		tab[ent] = {S = ship, G = ghost}
		if ent == ship then ent.Ghost = ghost end
		if (table.HasValue(draw_with_effect,ent:GetClass()) or ent:IsVehicle() or (ent:GetMoveType() != MOVETYPE_NONE && (ent:GetBoneCount()||0) > 1)) then
			local ed = EffectData()
			ed:SetEntity(ent)
			ent.OldColor = {ent:GetColor()}
			ent:SetColor(0,0,0,0)
			ent.WasHidden = true
			util.Effect("player_rotate",ed)
		end
	end
	usermessage.Hook("sl_ship_object",function(um) --this is how the server tells us which entities are "contained"
		local enti,yes,hull = um:ReadShort(),um:ReadBool(),um:ReadBool()
		local tab = SL_SHIPCONTENTS
		if hull then tab = SL_GHOSTHULLS end
		if yes and hull then
			local shipi,ghosti = um:ReadShort(),um:ReadShort()
			AddHullIds(tab,enti,shipi,ghosti,0)
		elseif yes then
			local shipi,ghosti = um:ReadShort(),um:ReadShort()
			AddPropIds(tab,enti,shipi,ghosti,0)
		else
			local ent = Entity(enti)
			if ValidEntity(ent) then
				if ent.RealColor or ent.WasHidden then
					ent:SetColor(unpack(ent.RealColor or {255,255,255,255}))
					if ({ent:GetColor()})[4] == 0 then ent:SetColor(255,255,255,255) end
				end
				if (ent == LocalPlayer()) then
					ent.RollCorrection = true
				end
				tab[ent] = nil
			end
		end
	end)
	usermessage.Hook("sl_ship_explosion",function(um)
		local ed = EffectData()
		local pos = um:ReadVector()
		ed:SetStart(pos)
		ed:SetOrigin(pos)
		util.Effect("Explosion",ed)
		/* DECALS DON'T WORK YET
		local tr = util.RealTraceLine{ent:GetPos(), endpos = ent:GetPos() - Vector(0,0,ent:BoundingRadius()), filter = ent}
		if (tr.Hit) then
			util.Decal("Scorch",tr.HitPos+tr.HitNormal,tr.HitPos-tr.HitNormal)
		end*/
	end)
	usermessage.Hook("sl_antiteleport_cl",function(um) --recieved when the player's position is set by the server, used to avoid SetPos packet loss resulting in teleporting to the sky
		local ppos = um:ReadVector()
		if (LocalPlayer():GetRealPos():Distance(ppos) > (LocalPlayer():GetVelocity():Length()/5)) then
			RunConsoleCommand("sl_antiteleport")
		end
	end)
	local RenderViewing = false
	/*hook.Add("PreDrawOpaqueRenderables","SLShipStart",function()
		if RenderViewing then return end
		local ply = LocalPlayer()
		local data = SL_SHIPCONTENTS[ply]
		if data then
			local pos,ang = EyePos(),EyeAngles()
			pos = data.S:LocalToWorld(data.G:WorldToLocal(pos))
			ang = data.S:LocalToWorldAngles(data.G:WorldToLocalAngles(ang))
			RenderViewing = true
			render.RenderView{
				origin = pos,
				angles = ang,
				x = 0, y = 0,
				w = ScrW(),
				h = ScrH(),
				drawviewmodel = false
			}
			RenderViewing = false
		end
	end)*/ 
	hook.Add("PlayerBindPress","SLBindPress",function(ply,str,down)
		if string.find(str,"+use") && SL_SHIPCONTENTS[ply] then
			RunConsoleCommand("sl_external_use")
		end
	end)
	hook.Add("CalcView","SLShipView",function(ply,pos,ang,fov,nope) --the ! is to make this hook the priority
	local apply = false
	if nope == "SLShipView" then return end
	local view = hook.Call("CalcView",GAMEMODE,ply,pos,ang,fov,"SLShipView")
	xpcall(function()
		if ply.RollCorrection then
			local pa = ply:EyeAngles()
			if pa.r > 0 then
				pa.r = pa.r * 0.9
				if (pa.r < 1) then pa.r = pa.r * 0.5 end
				if (pa.r < 0.1) then pa.r = 0 end
			elseif pa.r < 0 then
				pa.r = pa.r * 0.9
				if (pa.r > -1) then pa.r = pa.r * 0.5 end
				if (pa.r > -0.1) then pa.r = 0 end
			end
			if pa.r == 0 then ply.RollCorrection = nil end
			ply:SetEyeAngles(pa)
		end
		local data = SL_SHIPCONTENTS[ply]
		if ply:InVehicle() && ValidEntity(ply:GetVehicle()) then
			data = SL_SHIPCONTENTS[ply:GetVehicle()]
		end
		if ValidEntity(SLViewEnt) then
			data = SL_SHIPCONTENTS[SLViewEnt]
		end
		if data && ValidEntity(data.S) && ValidEntity(data.G) then
			local tpos,tang = WorldToLocal(view.origin,view.angles,data.G.RealPos or data.G:GetRealPos(),data.G.RealAng or data.G:GetRealAngles())
			view.origin,view.angles = LocalToWorld(tpos,tang,data.S:GetPos(),data.S:GetAngles())
			if view.vm_origin and view.vm_angles then
				local vmpos,vmang = WorldToLocal(view.vm_origin,view.vm_angles,data.G.RealPos or data.G:GetRealPos(),data.G.RealAng or data.G:GetRealAngles())
				view.vm_origin, view.vm_angles = LocalToWorld(vmpos,vmang,data.S:GetPos(),data.S:GetAngles())
			end
			apply = true
		end
    end,ErrorNoHalt)
	if apply then
		return view//GAMEMODE:CalcView(ply,pos,ang,fov)
	end
	end)
	function SLRestoreRealPos(TABLE)
		for ent,data in pairs(TABLE) do
			if ValidEntity(ent) then
				//if !(SL_SHIPCONTENTS[LocalPlayer()] and SL_SHIPCONTENTS[LocalPlayer()].S == data.S) then
					if data and ValidEntity(data.S) and ValidEntity(data.G) then
						if ent.RealPos then ent:SetPos(ent.RealPos) end
						if ent.RealAng then ent:SetAngles(ent.RealAng) end
						if ent.RealColor then ent:SetColor(unpack(ent.RealColor)) end
						if (ent.GetActiveWeapon and ValidEntity(ent:GetActiveWeapon())) then ent:GetActiveWeapon():SetColor(255,255,255,255) end
					end
				//end
			end
		end
	end
	hook.Add("PostRenderVGUI","SLShipEnd",function()
	xpcall(function()
		SLRestoreRealPos(SL_SHIPCONTENTS)
		SLRestoreRealPos(SL_GHOSTHULLS)
    end,ErrorNoHalt)
	end)
	function SLShipContents(TABLE,UseSG,cover)
		for ent,data in pairs(TABLE) do
			if ValidEntity(ent) then
				if data and ValidEntity(data.S) and ValidEntity(UseSG and data.S.Ghost or data.G) then
					local G = (UseSG and data.S.Ghost or data.G)
					if table.HasValue(draw_with_effect,ent:GetClass()) and ent != LocalPlayer() then
					/*
						local pos,ang,eye = ent:GetRealPos(),ent:GetRealAngles(),ent:EyeAngles()
						ent.RealPos = pos
						ent.RealAng = ang
						ent.RealEye = eye
						ent:SetPos(data.S:LocalToWorld(G:WorldToLocal(pos))) 
						ent:SetAngles(data.S:LocalToWorldAngles(G:WorldToLocalAngles(ang)))*/
						//ent:SetEyeAngles(data.S:LocalToWorldAngles(G:WorldToLocalAngles(eye)))
						ent.RealColor = {ent:GetColor()}
						ent:SetColor(0,0,0,0)
						if (ent.GetActiveWeapon and ValidEntity(ent:GetActiveWeapon())) then ent:GetActiveWeapon():SetColor(0,0,0,0) end
					elseif ent != LocalPlayer() && (ent:GetMoveType() != MOVETYPE_NONE and ent:GetBoneCount()) == 1 && !ent.WasHidden then
						local pos,ang = ent:GetRealPos(),ent:GetRealAngles()
						ent.RealPos = pos
						ent.RealAng = ang
						if cover then
							ent:SetPos((G.RealPos or G:GetRealPos())-(RenderAngles():Forward()))
							ent:SetAngles(G:GetRealAngles())
						else
							local npos,nang = WorldToLocal(pos,ang, G.RealPos or G:GetRealPos(), G.RealAng or G:GetRealAngles())
							npos,nang = LocalToWorld(npos,nang, data.S:GetPos(), data.S:GetAngles())
							ent:SetPos(npos)
							ent:SetAngles(nang)
						end
					end
				else
					TABLE[ent] = nil
				end
			else
				TABLE[ent] = nil
			end
		end
	end
	hook.Add("RenderScene","SLShipDraw",function() --fake the positions of "contained" objects, unless the player is in the same place as the object
	xpcall(function()
		SLShipContents(SL_GHOSTHULLS,nil,true)
		SLShipContents(SL_SHIPCONTENTS)
    end,ErrorNoHalt)
	end)
end