table.Merge(TOOL,{
	Name = "Gravity Hull Designator",
	Category = "Construction",
})
if CLIENT then
	for k,v in pairs{
		Tool_localphysics_name = "Gravity Hull Designator",
		Tool_localphysics_desc = "Create a local physics system for a ship or building so that you can walk around inside regardless of its movement or angles.",
		Tool_localphysics_0 = "Fire at an upright hull to create a local physics system. Alt-fire at a designated hull to remove the system.",
	} do 
		language.Add(k,v)
	end
end
function TOOL:LeftClick(tr)
	local ent = tr.Entity
	if CLIENT then return ValidEntity(ent) end
	if !(ValidEntity(ent) and ent:GetMoveType() == MOVETYPE_VPHYSICS) then return false end
	self:GetOwner():ChatPrint("Created a local physics system.")
	SL_SHIPS[ent] = {Hull = {}, Ghosts = {}, Contents = {}}
	UpdateHull(ent)
	return true
end
function TOOL:RightClick(tr)
	local ent = tr.Entity
	if CLIENT then return ValidEntity(ent) end
	if ValidEntity(ent) and ent:GetMoveType() == MOVETYPE_VPHYSICS then
		if !SL_SHIPS[ent] then
			ent = ent.MyShip or (ent.Ghost and ent.Ghost.MyShip)
		end
	else
		return false
	end
	if !ValidEntity(ent) then return false end
	self:GetOwner():ChatPrint("Removed a local physics system.")
	UnHull(ent)
	return true
end
function TOOL:Reload(tr)
	//idk this is for later
end
function TOOL:Think(tr)
	//idk this is for later
end